Bug 94113 - Accessible focus event missing when caret moves to start of paragraph spanning two pages
Summary: Accessible focus event missing when caret moves to start of paragraph spannin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility, regression
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2015-09-10 22:14 UTC by Joanmarie Diggs
Modified: 2017-08-01 13:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (8.91 KB, application/vnd.oasis.opendocument.text)
2015-09-10 22:14 UTC, Joanmarie Diggs
Details
accessible-event listener (paragraph.py) (1.04 KB, text/x-python)
2015-09-10 22:15 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2015-09-10 22:14:56 UTC
Created attachment 118588 [details]
test case

Steps to reproduce:
1. Open the attached test case in Writer
2. Launch the attached pyatspi accessible-event listener in a terminal
3. Position the caret in the middle of the last line on the first page
4. Down arrow once then up arrow
5. Position the caret at the start of the last line on the first page
6. Down arrow once then up arrow

Expected results: Each time the caret moves into the paragraph on the other page, that paragraph would emit both an object:state-changed:focused event and a caret moved event.

Actual results: The expected results *unless* the caret has moved from the start of the paragraph on page 2 to the start of the paragraph on page 1. In that instance, only the caret-moved event is received.

Annotated output from performing the steps above:

==============
# Step 3: Position caret in middle of last line on first page
18:09:32 - [paragraph | ] with index in parent 11 - is focused.
18:09:32 - [paragraph | ] with index in parent 11 - caret moved to offset 14.

# Step 4: Down arrow and up arrow
18:09:35 - [paragraph | ] with index in parent 12 - is focused.
18:09:35 - [paragraph | ] with index in parent 12 - caret moved to offset 14.
18:09:38 - [paragraph | ] with index in parent 11 - is focused.
18:09:38 - [paragraph | ] with index in parent 11 - caret moved to offset 14.

# Step 5: Position caret at start of last line on first page
18:09:45 - [paragraph | ] with index in parent 11 - caret moved to offset 0.

# Step 6: Down arrow and up arrow
18:09:47 - [paragraph | ] with index in parent 11 - caret moved to offset 70.
18:09:47 - [paragraph | ] with index in parent 12 - is focused.
18:09:47 - [paragraph | ] with index in parent 12 - caret moved to offset 0.
18:09:52 - [paragraph | ] with index in parent 11 - caret moved to offset 0.
==============
Comment 1 Joanmarie Diggs 2015-09-10 22:15:36 UTC
Created attachment 118590 [details]
accessible-event listener (paragraph.py)
Comment 2 Buovjaga 2016-05-06 10:17:35 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 3 QA Administrators 2017-05-22 13:38:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522
Comment 4 Alex ARNAUD 2017-05-30 16:15:32 UTC
Dear all,

I'm not sure to do the right thing but I'm not able to reproduce.

Best regards.
Comment 5 Alex ARNAUD 2017-08-01 13:36:06 UTC
Dear all,

I can reproduce on LibreOffice 5.4 GTK3 but not on LibreOffice 4.2.6.

Add the regression keyword.


When I press down arrow from the beginning of the last line of the page to the first line of the second page I observe that LibreOffice emits too much events.

15:31:33 - [paragraph | ] with index in parent 21 - is focused.
15:31:34 - [paragraph | ] with index in parent 21 - caret moved to offset 70.
15:31:34 - [paragraph | ] with index in parent 22 - is focused.
15:31:34 - [paragraph | ] with index in parent 22 - caret moved to offset 0.
15:31:36 - [paragraph | ] with index in parent 22 - is focused.

The user consequence: Orca announces the previous and current line when the user switch between page one and page two.

Best regards.